\version "2.8.0"
#(ly:set-option 'point-and-click #f)
% expanding: header.ly
\header {
  title = "Je suis d'Alemagne"
  composer = "Anonymous"
%  poet = "Virgil (70BC - 19BC)"
%  poet = "Route: ABBABBA"
        copyright = "© Serpent Publications 2020 www.SerpentPublications.org"
	source = "Howard Meyer Brown, Theatrical chansons of the fiftheenth and early sixteenth centuries"
	date = "Transcribed on July 4, 2020"
}

% Local Variables:
% coding: utf-8
% End:

  \header {instrument = "Superius"}
\header {	   piece = \markup{\circle 1  2 3 }}
% expanding: accidentals.lyi
af = {	     \set suggestAccidentals = ##t }
an = {	     \set suggestAccidentals = ##f }
ss= { \once \set suggestAccidentals = ##t }
ficta = {	     \set suggestAccidentals = ##t }
unficta = { \unset suggestAccidentals }
% expanding: lyrics.lyi
ijLyrics = {
  \override Lyrics.LyricText #'font-shape = #'italic
}

normalLyrics = {
  \revert Lyrics.LyricText #'font-shape
}
% expanding: slower.ly
looksSlower =
#(define-music-function (parser location music) (ly:music?)
  (let ((new-music (ly:music-deep-copy music)))
   (shift-duration-log new-music -2 0)
   new-music))
% expanding: bars.lyi
singlebar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "|"}
doublebar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "||"}
endbar = {	 \once \override Staff.BarLine #'transparent = ##f \bar "|."}
seerepeat = {	 \once \override Staff.BarLine #'transparent = ##f}
% expanding: brackets.lyi
% coloration brackets suggested from: 
% http://lists.gnu.org/archive/html/lilypond-user/2011-08/msg00186.html
colorBr = 
#(define-music-function (parser location music)(ly:music?)
#{
        \once\override TextSpanner #'(bound-details left text) = \markup
\scale #'(-1 . 2) { "¬" }
        \once\override TextSpanner #'(bound-details right text) = \markup
\scale #'(1 . 2) { "¬" }
        \once\override TextSpanner #'bound-details #'left-broken #'text =
##f
        \once\override TextSpanner #'bound-details #'right-broken #'text =
##f
        \once\override TextSpanner #'bound-details #'left #'padding = #'0
        \once\override TextSpanner #'bound-details #'right #'padding = #'-1
        \once\override TextSpanner #'style = #'none
        $music
#})

colorBrBegin = \startTextSpan
colorBrEnd = \stopTextSpan
% expanding: voicedefault.ly
\version "2.15.39"
voicedefault =  {
\set Staff.autoBeaming = ##f
\accidentalStyle "forget"
\override NoteHead    #'style = #'baroque
\set Staff.midiInstrument = "oboe"
\override Slur #'transparent = ##t 
%\set Score.defaultBarType = "empty"
\override Staff.BarLine #'transparent = ##t
\override Staff.BarLine #'extra-spacing-width = #'(0 . 0)
\unset melismaBusyProperties
%\override Staff.TimeSignature   #'style = #'single-digit
%\override Staff.TimeSignature   #'style = #'neo-mensural
\key d\dorian \time 2/2
%\compressFullBarRests
%\partial 4
}
% Local Variables:
% coding: utf-8
% End:

% expanding: cantusnotes.ly
\version "2.10.20"
cantusnotes = \relative c' {
  d4 a' a4. g8 f4 e e f e d e2
  d4 a' a4. g8 f4 e e d d \ficta cis d2
  d4 a' a c b8 a c4 b8 a c4 b8 a c4 b8 a4 g8 a2
  a4. g8 f4 e e2
  d4 a' a4. g8 f4 e e f e d e2
  d4 a' a4. g8 f4 e e d d cis d g4. f8 e d16 c b8. a16 d4. cis16 b cis4 d1
  \endbar
  }

cantuswords = \lyricmode {
  Je suis d'A -- le -- ma -- gne,
  Je parle Al -- le -- man,
  Je viegne de Bre -- ta -- gne, Bre -- ton, Bre -- ton -- nan,
  J'ay per -- du mon pè -- re,
  ma mè -- re mes soeurs et mes frè -- _ _ res,
  et tous mes pa -- rents,
  Je suis d'A -- le -- ma -- gne,
  Je parle al -- le man,
  Je viegne de Bre -- ta -- gne, Bre -- ton, Bre -- ton -- _ _ _ _ _ _ _ _ _ _ _ _  nan.
}


% Local Variables:
% coding: utf-8
% End:

\score{
  \new Staff <<
	\new Voice="v1" {
\transpose c' c' {
  \voicedefault
%  \cantusnotes }}
	\looksSlower{\cantusnotes }}}
	      \new Lyrics \lyricsto "v1" \cantuswords
	

	>>
\layout{ 
	\context {\Lyrics 
		\override VerticalAxisGroup #'minimum-Y-extent = #'(-1.0 . 0.0) 
		%\override LyricText #'font-size = #1.2
		\override LyricHyphen #'minimum-distance = #0.51
	}
	\context {\Score 
		\override BarNumber #'padding = #2 
	}
	\context {\Voice 
		melismaBusyProperties = #'() 
		autoBeaming = ##f
	}
	%\context { \RemoveEmptyStaffContext }
	\context {\Staff 
		\override VerticalAxisGroup #'minimum-Y-extent = #'(-4 . 5.5)
		\consists Ambitus_engraver 
		\override LigatureBracket #'padding = #1

		  \consists Custos_engraver
		  \override Custos #'style = #'mensural
	}
	line-width=18.0 \cm
	indent=3.7\cm
}

\midi {
    \context {
      \Score
      tempoWholesPerMinute = #(ly:make-moment 120 4)
      }
    }
}


% Local Variables:
% coding: utf-8
% End:

